Subject: Re: A5K Linux

From: [email-masked]
Date: Sun, 20 Jul 1997 14:12:39 +0100 (BST)

Richard Townsend writes:
> On Sat, 19 Jul 1997, Glyn Davies wrote:
> > Anyway, running the !Linux initally presented some problems - 
> > 	it appears the config file it points to is a directory?
> 
> You need to run !Config to sort this out, but it always gives me an 
> address exception when I try to run it - :(

Remove the directory.  I thought that this was fixed in the latest set
of tools.  Could someone please check and let me know?

> > I changed to running Linux with -bootpart Kernel, and managed to get it
> > to boot - I've collected a RiscPC root disk - for kicks - and giving
> > the root=/dev/fd0 option, expected it to do something. . .
> > 
> > However, at this point I just get I/O errors from the floppy drive..
> > same with /dev/fd1 (in case my connector is on the wrong thing) . 
> 
> Not your fault - I get these as well (something about DMA cockups etc). I 
> reckon these are the "kernel problems" which are the reason why there is 
> no A5k disk....

Not quite - one socket carries fd0/1, the other carries fd2/3.

The reason that there is no A5000 disk is that I have not been able to
get around to it.  The RPC one should work (except for the loadable modules).

> > Another problem I came across, was that more often than not, after the 
> > "Uncompressing Linux" message, it reports "invalid compression format? (err=2)"
> 
> This happens due to some garbage left lying around by RiscOS. I used to 
> get it quite a lot when booting Linux from the desktop CLI. I have now
> configured my machine (A3020) to boot to the supervisor prompt, and the 
> kernel boots every time from there...

Curious, and strange.  I'll have to have a look at that.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King      [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |      *  who wishes that he was in Hong Kong  *      ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Glyn Davies <[email-masked]>
Date: Sun, 20 Jul 1997 15:49:03 +0100 (BST)

> of tools.  Could someone please check and let me know?

This was a freshly downloaded copy of the tools ( from ftp.arm.etc etc etc)

> Not quite - one socket carries fd0/1, the other carries fd2/3.

So if one socket carries fd0/1, and the other fd2/3 - AND the kernel reports
fd's 0 & 1 on boot up, what am I doing wrong ?

Should I be able to pass root=/dev/fd0 ?  The fd light isn't even sensing,
so I'm curious to know what's going on. . 

> Curious, and strange.  I'll have to have a look at that.

Booting into CLI only does seem to have fixed this for the moment, as an aside. 

I just tried building up gcc & binutils for compiling the kernel under i386,
Linux - but the patches didn't seem to be taking hold properly. ..

As a straw poll, how many people have cross compiled the kernel out there ?
(Apart from Russell & Dave that is - you guys don't count :)

What problems - if nay did you get when applying the patches?

Cheers,

Glyn

-- 

Glyn D / http://www.cs.man.ac.uk/~daviess / Manchester Computer Society

------------------------------------------------------------------------
	      "Whom computers must destroy, they must first drive mad."
							-- fortune

				     "What if everyone felt like that?"
							-- Catch 22
------------------------------------------------------------------------

---

From: [email-masked]
Date: Sun, 20 Jul 1997 22:00:18 +0100 (BST)

> Linux - but the patches didn't seem to be taking hold properly. ..

I hope that you're not trying to apply every single patch.

The patches are designed to be applied to clean 2.0.30 kernel, and only
one patch is necessary.  I'm not doing incremental patches at the moment.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |       Russell King      [email-masked]         --- ---
  | | | | http://whirligig.ecs.soton.ac.uk/~rmk92/home.html  /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |      *  who wishes that he was in Hong Kong  *      ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Philip Blundell <[email-masked]>
Date: Tue, 22 Jul 1997 17:05:05 +0100

>What problems - if nay did you get when applying the patches?

Which patches are you talking about, and what versions of gcc and binutils are you using?

p.